import { List } from 'immutable'

import ImportFileSelector from '../index'

describe('ImportFileSelector', () => {
  const testbed = createTestbed(ImportFileSelector, {
    files: List(),
    receiveFile: () => {},
    acceptAttribute: '.zip'
  })

  shouldRenderComponent(testbed, {}, ImportFileSelector)

  it('should have the right text', () => {
    testbed.render()

    expect(testbed.getText()).to.be.equal('Drag & Drop here or Browse')
  })

  it('should trigger file upload actions')

  describe('a11y tests', () => {
    it('should meet a11y standards', (done) => {
      testbed.render()
      testbed.checkA11yStandards(done)
    })
  })
})
